Skip to content
Last updated

DeleteClient

Deletes a client.

Removes client record and all associated data. This action cannot be undone.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DeleteClient"Required
clientidintThe client id to be deletedRequired
deleteusersboolDelete any users not associated with any other client.Optional
deletetransactionsboolDelete all transactions on this accountOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
clientidintThe client id that was deleted

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DeleteClient',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'clientid' => '1',
            'deleteusers' => false,
            'deletetransactions' => true,
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DeleteClient';
$postData = array(
    'clientid' => '1',
    'deleteusers' => false,
    'deletetransactions' => true,
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "clientid": "1"
}

Error Responses

Possible error condition responses include:

  • Client ID Not Found
  • Client Delete Failed: xxxxxx

Version History

VersionChangelog
1.0Initial Version